Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046407
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajorhave not tried2021-04-29 08:582021-05-19 17:19
Reporterjorge-garciaView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046407: Manual promotions are not properly applied

DescriptionManual promotions (excluding order discounts) are not properly applied in new POS
Steps To Reproduce1) Login in the application
2) Add two products (i.e. Avalanche Transceiver and Balaclava Cap)
3) Select the first line and in the popover, select Discount option
4) Click on "disc_5_var_euro" and change the amount to 10
5) Apply only to the FIRST line
6) Check the promotion of 10 is applied only to the first line
7) Select the second line and in the popover, select Discount option
8) Click on "disc_5_var_euro" and leave the default amount (5)
9) Apply only to the SECOND line
10) Check the promotion of 10 is applied to the first and second line (this is wrong, it should apply 10 to the first line and 5 to the second line)

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046659 acknowledgedRetail [21Q2] Applying the same discount to two different lines does not work properly 
depends on backport 0046416TAP resolvedjavierRodriguez Manual promotions are not properly applied 
blocks defect 0046261 closedjorge-garcia JIRA 517 - No minus cost is applied to menu if the costs of components is less than the price of the menu 

-  Notes
(0128149)
hgbot (developer)
2021-05-16 23:49

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/459 [^]
(0128150)
hgbot (developer)
2021-05-16 23:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/23 [^]
(0128403)
hgbot (developer)
2021-05-19 13:54

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: e532d8cb63123998005ae06077e50f8dfca79886
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-13T16:01:25+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/e532d8cb63123998005ae06077e50f8dfca79886 [^]

Related to ISSUE-46407: Include the discount implementation value in the execute discount calcutation process

---
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/manual-amount-promotions-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/manual-linefinalprice-promotions-discount.js
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/manual-percentage-promotions-discount.js
---
(0128404)
hgbot (developer)
2021-05-19 13:54

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/23 [^]
(0128411)
hgbot (developer)
2021-05-19 17:19

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: d220d3d059e644277f8f4a527f42ddc3c354d6cf
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-19T15:09:48+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/d220d3d059e644277f8f4a527f42ddc3c354d6cf [^]

Fixed ISSUE-46407: It is not possible to add two discounts with the same discountType but with different value

---
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountInputAmountCell/DiscountInputAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketLineDiscount/TicketLineDiscount.jsx
M web-jspack/org.openbravo.pos2/src/model/ticket/actions/SetManualDiscountIntoLines.js
---
(0128412)
hgbot (developer)
2021-05-19 17:19

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 149fb8cc279513e58a3e39ca2a96eceec7928cad
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-19T15:09:48+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/149fb8cc279513e58a3e39ca2a96eceec7928cad [^]

Related to ISSUE-46407: Replace filter function by find in TicketLineDiscount

---
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketLineDiscount/TicketLineDiscount.jsx
---
(0128413)
hgbot (developer)
2021-05-19 17:19

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: c315960a61a5d7b3a206e6868d0460ead767b15e
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-19T17:18:32+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/c315960a61a5d7b3a206e6868d0460ead767b15e [^]

Related to ISSUE-46407: Fix some errors in discount panel grid

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountInputAmountCell/DiscountInputAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountPanelGrid/DiscountPanelGrid.jsx
---
(0128414)
hgbot (developer)
2021-05-19 17:19

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/459 [^]

- Issue History
Date Modified Username Field Change
2021-04-29 08:58 jorge-garcia New Issue
2021-04-29 08:58 jorge-garcia Assigned To => Retail
2021-04-29 08:58 jorge-garcia Triggers an Emergency Pack => No
2021-04-29 08:59 jorge-garcia Relationship added blocks 0046261
2021-04-29 10:51 guilleaer Status new => scheduled
2021-04-29 10:51 guilleaer Status scheduled => acknowledged
2021-05-11 10:17 javierRodriguez Assigned To Retail => javierRodriguez
2021-05-11 10:18 javierRodriguez Status acknowledged => scheduled
2021-05-14 08:08 marvintm Relationship added related to 0046659
2021-05-16 23:49 hgbot Note Added: 0128149
2021-05-16 23:59 hgbot Note Added: 0128150
2021-05-19 13:54 hgbot Note Added: 0128403
2021-05-19 13:54 hgbot Note Added: 0128404
2021-05-19 17:19 hgbot Resolution open => fixed
2021-05-19 17:19 hgbot Status scheduled => closed
2021-05-19 17:19 hgbot Note Added: 0128411
2021-05-19 17:19 hgbot Note Added: 0128412
2021-05-19 17:19 hgbot Note Added: 0128413
2021-05-19 17:19 hgbot Note Added: 0128414


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker